<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stock](./bitburner.stock.md) &gt; [buyStock](./bitburner.stock.buystock.md)

## Stock.buyStock() method

Buy stocks.

**Signature:**

```typescript
buyStock(sym: string, shares: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

sym


</td><td>

string


</td><td>

Stock symbol.


</td></tr>
<tr><td>

shares


</td><td>

number


</td><td>

Number of shares to purchase. Must be positive. Will be rounded to the nearest integer.


</td></tr>
</tbody></table>

**Returns:**

number

The stock price at which each share was purchased, otherwise 0 if the shares weren't purchased.

## Remarks

RAM cost: 2.5 GB

Attempts to purchase shares of a stock using a Market Order.

If the player does not have enough money to purchase the specified number of shares, then no shares will be purchased. Remember that every transaction on the stock exchange costs a certain commission fee.

If this function successfully purchases the shares, it will return the stock price at which each share was purchased. Otherwise, it will return 0.

